Get task completion artifact
curl --request GET \
--url https://neo.api.projectdiscovery.io/api/v1/tasks/{id}/artifacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://neo.api.projectdiscovery.io/api/v1/tasks/{id}/artifacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://neo.api.projectdiscovery.io/api/v1/tasks/{id}/artifacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"artifact": {}
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}Tasks
Get task completion artifact
Returns the completion artifact for a finished task when completion_delivery=artifact was set, including a summary and issues.
GET
/
api
/
v1
/
tasks
/
{id}
/
artifacts
Get task completion artifact
Authorizations
BearerAuthApiKeyAuth
JWT authentication token
Path Parameters
Task ID
Query Parameters
When true, rebuild the artifact from the current task issues.
⌘I

